package com.ruoyi.system.domain.grid;

import java.io.Serializable;

public class GridCompanyLawArchivesAttachment implements Serializable {
    private String id;

    private String createTime;

    /**
     * 执法档案id
     *
     * @mbg.generated
     */
    private String lawArchivesId;

    /**
     * 文件名
     *
     * @mbg.generated
     */
    private String filename;

    /**
     * 下载地址
     *
     * @mbg.generated
     */
    private String fileurl;

    /**
     * 是否有效，1：有效，0：无效
     *
     * @mbg.generated
     */
    private String isValid;

    private static final long serialVersionUID = 1L;

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getCreateTime() {
        return createTime;
    }

    public void setCreateTime(String createTime) {
        this.createTime = createTime;
    }

    public String getLawArchivesId() {
        return lawArchivesId;
    }

    public void setLawArchivesId(String lawArchivesId) {
        this.lawArchivesId = lawArchivesId;
    }

    public String getFilename() {
        return filename;
    }

    public void setFilename(String filename) {
        this.filename = filename;
    }

    public String getFileurl() {
        return fileurl;
    }

    public void setFileurl(String fileurl) {
        this.fileurl = fileurl;
    }

    public String getIsValid() {
        return isValid;
    }

    public void setIsValid(String isValid) {
        this.isValid = isValid;
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", id=").append(id);
        sb.append(", createTime=").append(createTime);
        sb.append(", lawArchivesId=").append(lawArchivesId);
        sb.append(", filename=").append(filename);
        sb.append(", fileurl=").append(fileurl);
        sb.append(", isValid=").append(isValid);
        sb.append("]");
        return sb.toString();
    }

    @Override
    public boolean equals(Object that) {
        if (this == that) {
            return true;
        }
        if (that == null) {
            return false;
        }
        if (getClass() != that.getClass()) {
            return false;
        }
        GridCompanyLawArchivesAttachment other = (GridCompanyLawArchivesAttachment) that;
        return (this.getId() == null ? other.getId() == null : this.getId().equals(other.getId()))
            && (this.getCreateTime() == null ? other.getCreateTime() == null : this.getCreateTime().equals(other.getCreateTime()))
            && (this.getLawArchivesId() == null ? other.getLawArchivesId() == null : this.getLawArchivesId().equals(other.getLawArchivesId()))
            && (this.getFilename() == null ? other.getFilename() == null : this.getFilename().equals(other.getFilename()))
            && (this.getFileurl() == null ? other.getFileurl() == null : this.getFileurl().equals(other.getFileurl()))
            && (this.getIsValid() == null ? other.getIsValid() == null : this.getIsValid().equals(other.getIsValid()));
    }

    @Override
    public int hashCode() {
        final int prime = 31;
        int result = 1;
        result = prime * result + ((getId() == null) ? 0 : getId().hashCode());
        result = prime * result + ((getCreateTime() == null) ? 0 : getCreateTime().hashCode());
        result = prime * result + ((getLawArchivesId() == null) ? 0 : getLawArchivesId().hashCode());
        result = prime * result + ((getFilename() == null) ? 0 : getFilename().hashCode());
        result = prime * result + ((getFileurl() == null) ? 0 : getFileurl().hashCode());
        result = prime * result + ((getIsValid() == null) ? 0 : getIsValid().hashCode());
        return result;
    }
}